
# Credits

A huge thank-you to the great teams/devs behind these projects, being used by Machinaris:

## Core Components
* [Chia™](https://www.chia.net/): the distributed cryptocurrency project.
* [Plotman](https://github.com/ericaltendorf/plotman): a parallel plotting manager.
* [Chiadog](https://github.com/martomi/chiadog): a log monitor with alerting.
* [Madmax](https://github.com/madMAx43v3r/chia-plotter): a pipelined, multi-threaded plotter.
* [Bladebit](https://github.com/harold-b/bladebit): an in-memory plotter.
* [Farmr](https://github.com/gilnobrega/farmr): provides advanced monitoring at [farmr.net](https://farmr.net).
* [Forktools](https://github.com/Qwinn1/forktools): shell utilities for managing Chia forks.

## Web Application
* [Flask](https://flask.palletsprojects.com/en/2.0.x/): Web UI application server.
* [Smorest](https://flask-smorest.readthedocs.io/en/latest/index.html): REST API framework.
* [Flask-migrate](https://flask-migrate.readthedocs.io/en/latest/): Database migrations.
* [Bootstrap](https://getbootstrap.com/): Web UI look and feel.
* [Bootstrap Icons](https://icons.getbootstrap.com/): Open source icons.
* [Other Icons](https://www.shareicon.net): Images and icons for web apps.
* [Boostrap Sidebars](https://dev.to/codeply/bootstrap-5-sidebar-examples-38pb): Used for sidebar menu layout.
* [Toplevel](https://github.com/and-semakin/marshmallow-toplevel): Used for list of objects sent to REST API.
* [DataTables.js](https://datatables.net/): Filter/search/pagination of dynamic tables, as per [this tutorial](https://blog.miguelgrinberg.com/post/beautiful-interactive-tables-for-your-flask-templates).
* [Charts.js](https://www.chartjs.org/): dynamic charting library.
* [Flask-Babel](https://pythonhosted.org/Flask-BabelEx/): internationaliztion and localization, as per [this tutorial](https://blog.miguelgrinberg.com/post/the-flask-mega-tutorial-part-xiii-i18n-and-l10n).
* [Leaflet](https://leafletjs.com/): Web mapping toolkit.  Fantastic maps, easy to use!
* [Maxmind](https://maxmind.com/): Geolocation API for mapping IP addresses of peer connections.
* [Mapbox](https://mapbox.com): Nice looking map tiles for use with Leaflet on the Connections page map.

## Blockchains
* [BTCgreen](https://github.com/BTCgreen-Network/btcgreen-blockchain)
* [Cactus](https://github.com/Cactus-Network/cactus-blockchain)
* [Chives](https://github.com/HiveProject2021/chives-blockchain)
* [Cryptodoge](https://github.com/CryptoDoge-Network/cryptodoge)
* [Flax](https://github.com/Flax-Network/flax-blockchain)
* [Flora](https://github.com/Flora-Network/flora-blockchain)
* [HDDCoin](https://github.com/HDDcoin-Network/hddcoin-blockchain)
* [Maize](https://github.com/Maize-Network/maize-blockchain)
* [MMX](https://github.com/madMAx43v3r/mmx-node)
* [NChain](https://gitee.com/ext9/ext9-blockchain)
* [SHIBgreen](https://github.com/BTCgreen-Network/shibgreen-blockchain)
* [Staicoin](https://github.com/STATION-I/staicoin-blockchain)
* [Stor](https://github.com/Stor-Network/stor-blockchain)

## Other Resources
* [FD-CLI](https://github.com/Flora-Network/flora-dev-cli) - script to regularly recover 7/8 rewards 
* [Chia DB Downloads](https://www.chia-database.com/) - for Chia blockchain database
* [All the Blocks](https://alltheblocks.net/) - blockchain, wallet, and pricing info
* [Coin Gecko](https://coingecko.com/) - fiat currency exchange info

## Testers and Developers

A big thanks to all that contributed with dev and test including:
* Hukuma1
* ChrisM
* gabiroli
* Geezus
* LordKDG
* seythis
* gleech
* LordCactus
* superboki
* TechNotWiz
* belchi0r
* yass15
* sparklyballs
* Praghaels
* judy
* Allram
* Fumo696
* hereisderek
* ServantDad
* efnats
* myusuf3
* kahn2k
* barkcollar
* dartec
* elexx
* danicraftscz
* Kris Moore
* depasseg
* sonicaj
* OlivierLA75
* jdoerrerstl1977
* ambrozy
* Dembini
* brummerte
* DaCeige
* ApfelBirneKreis
* Digital Spaceport
* 50 Minutes
* FVIERRA27
* Nold360
* karaliux
* bafff
* tjb_altf4
* halfroom (aka Sagittarius)
* @antcasq (Antonio Casqueiro)
* @fabriziocacicia (Fabrizio Cacicia)
* @bdeprez (Bernie Deprez)

## Trademark Notice
CHIA NETWORK INC, CHIA™, the CHIA BLOCKCHAIN™, the CHIA PROTOCOL™, CHIALISP™ and the “leaf Logo” (including the leaf logo alone when it refers to or indicates Chia), are trademarks or registered trademarks of Chia Network, Inc., a Delaware corporation.  *There is no affliation between this Machinaris project and the main Chia Network project.*